// Craft System Script v.0.2 by SickLab

using System;

namespace Server.Engines.Craft
{
	public class CraftRes
	{
		private Type m_Type;
		private int m_Amount;
		private int m_LocalizedMessage;
		private string m_StrMessage;
		private string m_Name;

		public CraftRes( Type type, string name, int amount, int localizedMessage )
		{
			m_Type = type;
			m_Amount = amount;
			m_LocalizedMessage = localizedMessage;
			m_StrMessage = "";
			m_Name = name;
		}

		public CraftRes( Type type, string name, int amount, string strMessage )
		{
			m_Type = type;
			m_Amount = amount;
			m_LocalizedMessage = -1;
			m_StrMessage = strMessage;
			m_Name = name;
		}

		public void SendMessage( Mobile from )
		{
			if ( m_LocalizedMessage != -1 )
			{
				from.SendLocalizedMessage( m_LocalizedMessage );
			}
			else if ( m_StrMessage != "" )
			{
				from.SendMessage( m_StrMessage );
			}
			else
			{
				from.SendLocalizedMessage( 502925 ); // You don't have the resources required to make that item
			}
		}

		public Type ItemType
		{
			get { return m_Type; }
		}
		
		public string ItemName
		{
			get { return m_Name; }
		}

		public int Amount
		{
			get { return m_Amount; }
		}
	}
}