using System;
using Server.Network;

namespace Server.Menus.Questions
{
	public class StuckMenu : QuestionMenu
	{
		private static Point3D[] m_Locations = new Point3D[]
			{
				new Point3D( 1520, 1617, 10 ),
				new Point3D( 1916, 2825,  4 ),
				new Point3D( 2906,  799,  0 ),
				new Point3D( 2527,  479, 15 ),
				new Point3D(  496, 1090,  0 ),
				new Point3D( 2235, 1220,  0 )
			};

		private Mobile m_Mobile;
		private bool m_MarkUse;

		// TODO: Ilshenar
		public StuckMenu( Mobile beholder, Mobile beheld, bool markUse ) : base( String.Format( "Choose {0} destination", beholder == beheld ? "your" : "their" ), new string[]{ "Britain", "Trinsic", "Vesper", "Minoc", "Yew", "Cove" } )
		{
			m_Mobile = beheld;
			m_MarkUse = markUse;
		}

		public override void OnResponse( NetState state, int index )
		{
			m_Mobile.Location = m_Locations[index];
			m_Mobile.SendMessage( "You have been teleported to {0}.", Answers[index] );

			if ( m_MarkUse )
			{
				m_Mobile.UsedStuckMenu();
			}
		}
	}
}