using System;
using System.Reflection;
using System.Collections;
using Server;
using Server.Targeting;

namespace Server.Gumps
{
	public class SetObjectTarget : Target
	{
		private PropertyInfo m_Property;
		private Mobile m_Mobile;
		private object m_Object;
		private bool m_Item;
		private int m_Page;
		private ArrayList m_List;

		public SetObjectTarget( PropertyInfo prop, Mobile mobile, object o, bool item, int page, ArrayList list ) : base( -1, false, TargetFlags.None )
		{
			m_Property = prop;
			m_Mobile = mobile;
			m_Object = o;
			m_Item = item;
			m_Page = page;
			m_List = list;
		}

		protected override void OnTarget( Mobile from, object targeted )
		{
			try
			{
				if ( (m_Item && targeted is Item) || (!m_Item && targeted is Mobile) )
				{
					m_Property.SetValue( m_Object, targeted, null );
				}
				else
				{
					m_Mobile.SendMessage( "That's not {0}.", m_Item ? "an item" : "a mobile" );
				}
			}
			catch
			{
				m_Mobile.SendMessage( "An exception was caught. The property may not have changed." );
			}
		}

		protected override void OnTargetFinish( Mobile from )
		{
			from.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}
	}
}