using System;

namespace Server.Items
{
	[FlipableAttribute(0xB49, 0xB4A, 0xB4B, 0xB4C)]
	public class WritingTable : Item, IDyable
	{
		[Constructable]
		public WritingTable() : base(0xB49)
		{
			Weight = 4;
		}

		public WritingTable(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}