using System;
using Server.Network;

namespace Server.Items
{
	public class SOS : Item
	{
		[Constructable]
		public SOS() : this( 1 )
		{
		}

		[Constructable]
		public SOS( int amount ) : base( 0x14ED )
		{
			Stackable = true;
			Weight = 1.0;
			Amount = amount;
		}

		public SOS( Serial serial ) : base( serial )
		{
		}

		public override void OnSingleClick( Mobile from )
		{
			this.LabelTo( from, 1041081 );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnDoubleClick( Mobile from )
		{
			if ( RootParent == from )
			{
				from.Send( new ScrollMessage( 0, 0, "TODO:  Put in SOS tracking system... until then your shard admin doesnt really care about you getting rich!" ) );
			}
			else
			{
				from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
			}
		}
	}
}
