using System;

namespace Server.Mobiles
{
	[CorpseName( "a deer corpse" )]
	public class Deer : BaseCreature
	{
		[Constructable]
		public Deer() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			BaseSoundID = 0x82;
			Body = 0xED;
			Name = "a deer";

			ControlSlots = 1;
			Tamable = true;
			MaxTameSkill = 60.0;
			MinTameSkill = 23.1;

			InitStats( 50, 100, 50 );
		}

		public Deer( Serial serial ) : base( serial )
		{
		}

		public override int GetAttackSound()
		{
			return 0x82;
		}

		public override int GetHurtSound()
		{
			return 0x83;
		}

		public override int GetDeathSound()
		{
			return 0x84;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}