using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a water elemental corpse" )]
	public class WaterElemental : BaseCreature
	{
		[Constructable]
		public WaterElemental () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 16;
			Name = "a water elemental";
			BaseSoundID = 278;

			SetStr( 126, 154 );
			SetDex( 67, 81 );
			SetInt( 102, 124 );
			SetSkill( SkillName.Wrestling, 55, 69 );
			SetSkill( SkillName.Tactics, 50, 67 );
			SetSkill( SkillName.MagicResist, 101, 114 );
			SetSkill( SkillName.Magery, 66, 78 );

			VirtualArmor = 40;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

			switch ( Utility.Random( 8 ))
			{
			case 0: PackItem( new SpidersSilk( 2 ) ); break;
			case 1: PackItem( new BlackPearl( 2 ) ); break;
			case 2: PackItem( new Bloodmoss( 2 ) ); break;
			case 3: PackItem( new Garlic( 2 ) ); break;
			case 4: PackItem( new MandrakeRoot( 2 ) ); break;
			case 5: PackItem( new Nightshade( 2 ) ); break;
			case 6: PackItem( new SulfurousAsh( 2 ) ); break;
			case 7: PackItem( new Ginseng( 2 ) ); break;
			}

				PackItem( new Gold( 200, 250 ));
		}

		public WaterElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
