using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an imp corpse" )]
	public class Imp : BaseCreature
	{
		[Constructable]
		public Imp() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 74;
			Name = "an imp";
			BaseSoundID = 422;

			ControlSlots = 2;
			Tamable = true;
			MaxTameSkill = 100.0;
			MinTameSkill = 83.1;

			SetStr( 91, 114 );
			SetDex( 61, 81 );
			SetInt( 86, 110 );
			SetSkill( SkillName.Wrestling, 46, 49 );
			SetSkill( SkillName.Tactics, 42, 50 );
			SetSkill( SkillName.MagicResist, 30, 49 );
			SetSkill( SkillName.Magery, 74, 82 );

			VirtualArmor = 30;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			

				PackItem( new Gold( 1, 50 ));
		}

		public Imp( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
