using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a liches corpse" )]
	public class Lich : BaseCreature
	{
		[Constructable]
		public Lich() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 24;
			Name = "a lich";
			BaseSoundID = 412;

			SetStr( 171, 200 );
			SetDex( 126, 150 );
			SetInt( 279, 305 );
			SetSkill( SkillName.Wrestling, 10, 10 );
			SetSkill( SkillName.Tactics, 70, 89 );
			SetSkill( SkillName.MagicResist, 80, 99 );
			SetSkill( SkillName.Magery, 74, 82 );
			SetSkill( SkillName.EvalInt, 100, 100 );

			VirtualArmor = 50;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 8 ))
			{
			case 0: PackItem( new SpidersSilk( 3 ) ); break;
			case 1: PackItem( new BlackPearl( 3 ) ); break;
			case 2: PackItem( new Bloodmoss( 3 ) ); break;
			case 3: PackItem( new Garlic( 3 ) ); break;
			case 4: PackItem( new MandrakeRoot( 3 ) ); break;
			case 5: PackItem( new Nightshade( 3 ) ); break;
			case 6: PackItem( new SulfurousAsh( 3 ) ); break;
			case 7: PackItem( new Ginseng( 3 ) ); break;
			}
				AddItem( new GnarledStaff());
				PackItem( new Gold( 200, 300 ));
				PackItem( RandomScroll.CreateScroll( 2, 7 ) );
				PackItem( RandomScroll.CreateScroll( 2, 7 ) );
		}

		public Lich( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
