using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a skeletal knight corpse" )]
	public class SkeletalKnight : BaseCreature
	{
		[Constructable]
		public SkeletalKnight() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 147;
			Name = "a skeletal knight";
			BaseSoundID = 451;

			SetStr( 212, 250 );
			SetDex( 75, 93 );
			SetInt( 36, 59 );
			SetSkill( SkillName.Wrestling, 86, 95 );
			SetSkill( SkillName.Tactics, 85, 99 );
			SetSkill( SkillName.MagicResist, 66, 78 );

			VirtualArmor = 40;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new PlateArms() ); break;
			case 1: PackItem( new PlateChest() ); break;
			case 2: PackItem( new PlateGloves() ); break;
			case 3: PackItem( new PlateGorget() ); break;
			case 4: PackItem( new PlateLegs() ); break;
			case 5: PackItem( new PlateHelm() ); break;
			}


				AddItem( new Scimitar());
				PackItem( new Gold( 1, 150 ));
		}

		public SkeletalKnight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
