using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a deep sea serpents corpse" )]
	public class DeepSeaSerpent : BaseCreature
	{
		[Constructable]
		public DeepSeaSerpent() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 150;
			Name = "a deep sea serpent";
			BaseSoundID = 447;

			SetStr( 259, 385 );
			SetDex( 100, 125 );
			SetInt( 110, 149 );
			SetSkill( SkillName.Wrestling, 64, 69 );
			SetSkill( SkillName.Tactics, 60, 66 );
			SetSkill( SkillName.MagicResist, 61, 73 );
			SetSkill( SkillName.Magery, 15, 15 );

			VirtualArmor = 60;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

				PackItem( new SpecialFishingNet());

		}

		public DeepSeaSerpent( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
