using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an ophidian shamans corpse" )]
	public class OphidianShaman : BaseCreature
	{
		[Constructable]
		public OphidianShaman() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 85;
			Name = "an ophidian shaman";
			BaseSoundID = 639;

			SetStr( 181, 204 );
			SetDex( 195, 213 );
			SetInt( 100, 119 );
			SetSkill( SkillName.Wrestling, 39, 55 );
			SetSkill( SkillName.Tactics, 74, 78 );
			SetSkill( SkillName.MagicResist, 84, 84 );
			SetSkill( SkillName.Magery, 87, 97 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

				PackItem( new Arrow( 10 ));
				PackItem( new Gold( 50, 150 ));
				PackItem( RandomScroll.CreateScroll( 1, 6 ) );
				PackItem( RandomScroll.CreateScroll( 1, 6 ) );

		}

		public OphidianShaman( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
