using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a sea serpents corpse" )]
	public class SeaSerpent : BaseCreature
	{
		[Constructable]
		public SeaSerpent() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 150;
			Name = "a sea serpent";
			BaseSoundID = 447;

			SetStr( 186, 215 );
			SetDex( 62, 83 );
			SetInt( 61, 87 );
			SetSkill( SkillName.Wrestling, 64, 73 );
			SetSkill( SkillName.Tactics, 60, 69 );
			SetSkill( SkillName.MagicResist, 64, 74 );
			SetSkill( SkillName.Magery, 9, 13 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

				PackItem( new SpecialFishingNet());

		}

		public SeaSerpent( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
