using System;
using Server.Items;
using Server.Targeting;
using System.Collections;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;

namespace Server.Mobiles
{
	[CorpseName( "a skeletal dragon" )]
	public class SkeletalDragon : BaseCreature
	{
		[Constructable]
		public SkeletalDragon () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 104;
			Name = "a skeletal dragon";
			BaseSoundID = 362;

			ControlSlots = 3;

			SetStr( 932, 960 );
			SetDex( 130, 132 );
			SetInt( 528, 572 );
			SetSkill( SkillName.Wrestling, 98, 99 );
			SetSkill( SkillName.Tactics, 98, 98 );
			SetSkill( SkillName.MagicResist, 117, 120 );
			SetSkill( SkillName.Magery, 89, 99 );
			SetSkill( SkillName.EvalInt, 72, 76 );
			SetSkill( SkillName.Meditation, 62, 63 );

			VirtualArmor = 80;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new Gold( 2000, 3000 ));
				PackItem( RandomScroll.CreateScroll( 4, 8 ) );
				PackItem( RandomScroll.CreateScroll( 4, 8 ) );

		}

		public SkeletalDragon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
