using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a stone harpy corpse" )]
	public class StoneHarpy : BaseCreature
	{
		[Constructable]
		public StoneHarpy() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 73;
			Name = "a stone harpy";
			BaseSoundID = 402;

			SetStr( 297, 317 );
			SetDex( 89, 109 );
			SetInt( 51, 66 );
			SetSkill( SkillName.Wrestling, 74, 98 );
			SetSkill( SkillName.Tactics, 71, 93 );
			SetSkill( SkillName.MagicResist, 52, 64 );

			VirtualArmor = 50;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new Gold( 400, 500 ));
		}

		public StoneHarpy( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
