using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBScribe: SBInfo 
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBScribe() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( BlankScroll ), 3, 999, 0x0E34, 0 ) ); 
				Add( new GenericBuyInfo( typeof( RuinedBooks ), 5, 10, 0x0FF2, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Spellbook ), 30, 10, 0xEFA, 0 ) ); 
				Add( new GenericBuyInfo( "runebook", typeof( Runebook ), 3500, 10, 0xEFA, 0x461 ) ); 
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				Add( typeof( RuinedBooks ), 1 ); 
				Add( typeof( BlankScroll ), 1 ); 
				Add( typeof( Spellbook ), 15 ); 
			} 
		} 
	} 
}