// Remove Trap Spell Script v.1.0 by SickLab

using System;
using Server.Targeting;
using Server.Network;
using Server.Items;

namespace Server.Spells.Second
{
	public class RemoveTrapSpell : Spell
	{
		private static SpellInfo m_Info = new SpellInfo(
			"Remove Trap", "An Jux",
			SpellCircle.Second,
			212,
			Reagent.Bloodmoss,
			Reagent.SulfurousAsh
			);

		public RemoveTrapSpell( Mobile caster, Item scroll ) : base( caster, scroll, m_Info )
		{
		}

		public override void OnCast()
		{
			Caster.Target = new InternalTarget( this );
			Caster.SendMessage( "What do you wish to untrap?" );
		}

		public void Target( TrapableContainer item )
		{
			if ( !Caster.CanSee( item ) )
			{
				Caster.SendLocalizedMessage( 500237 ); // Target can not be seen.
			}
			else if ( item.TrapType != TrapType.None && item.TrapType != TrapType.MagicTrap )
			{
				base.DoFizzle();
			}
			else if ( CheckSequence() )
			{
				Caster.Direction = Caster.GetDirectionTo( item );

				Point3D loc = item.GetWorldLocation();

				Effects.PlaySound( loc, item.Map, 0x1F0 );

				for ( int x = -1; x <= 1; ++x )
					for ( int y = -1; y <= 1; ++y )
						Effects.SendLocationEffect( new Point3D( loc.X + x, loc.Y + y, loc.Z ), item.Map, 0x376A, 16 );
			}

			FinishSequence();
		}

		private class InternalTarget : Target
		{
			private RemoveTrapSpell m_Owner;

			public InternalTarget( RemoveTrapSpell owner ) : base( 12, false, TargetFlags.None )
			{
				m_Owner = owner;
			}

			protected override void OnTarget( Mobile from, object o )
			{
				if ( o is TrapableContainer )
				{
					m_Owner.Target( (TrapableContainer)o );
				}
				else
				{
					from.SendMessage( "You can't disarm that" );
				}
			}

			protected override void OnTargetFinish( Mobile from )
			{
				m_Owner.FinishSequence();
			}
		}
	}
}